import 'ol/ol.css'
import { Style, Icon } from 'ol/style'
import imgAwait from '@/assets/point/await.png'
import imgChecked from '@/assets/point/checked.png'
import imgIgnored from '@/assets/point/ignored.png'
import imgSelected from '@/assets/point/selected.png'

// 矢量图标样式
export const styleList = [
  new Style({
    image: new Icon({
      anchor: [0.5, 0.5],
      src: imgSelected,
      crossOrigin: '',
      scale: [1, 1],
      rotateWithView: true
    })
  }),
  new Style({
    image: new Icon({
      anchor: [0.5, 0.5],
      src: imgChecked,
      crossOrigin: '',
      scale: [1, 1],
      rotateWithView: true
    })
  }),
  new Style({
    image: new Icon({
      anchor: [0.5, 0.5],
      src: imgIgnored,
      crossOrigin: '',
      scale: [1, 1],
      rotateWithView: true
    })
  }),
  new Style({
    image: new Icon({
      anchor: [0.5, 0.5],
      src: imgAwait,
      crossOrigin: '',
      scale: [1, 1],
      rotateWithView: true
    })
  })
]

export const legendList = [
  {
    name: '待确认问题',
    color: '#F1EA0B'
  },
  {
    name: '当前问题',
    color: '#1AFA29'
  },
  {
    name: '已忽略问题',
    color: '#FF8A15'
  },
  {
    name: '已确定问题',
    color: '#FF3333'
  }
]
